Bug 210165 - [UPDATE] net-mgmt/seafile-gui: Update to 5.1.2
Summary: [UPDATE] net-mgmt/seafile-gui: Update to 5.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://seacloud.cc/group/3/wiki/clie...
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-09 12:13 UTC by Ultima
Modified: 2016-06-29 16:04 UTC (History)
2 users (show)

See Also:


Attachments
seafile-gui.diff (1.16 KB, patch)
2016-06-09 12:13 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (3.58 KB, patch)
2016-06-11 01:28 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (4.30 KB, patch)
2016-06-11 01:48 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-gui.diff (4.34 KB, patch)
2016-06-11 02:06 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-06-09 12:13:08 UTC
Created attachment 171231 [details]
seafile-gui.diff

This patch will update seafile-gui to the most recent version. I added a tag to jump a few commits ahead, this is because it fails to build due to a mistake in the release. The target commit is the fix.

* Updated to 5.1.2

- Add context menu to view file history in web
- Fix user auto-completion in folder sharing dialog
- Fix tray icon not shown in KDE 5 https://github.com/haiwen/seafile-client/issues/697

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -Ct:
11amd64: success
11i386: success
103amd64: success
103i386: success
93amd64: spdylay requires OpenSSL 1.0.1+
93i386: spdylay requires OpenSSL 1.0.1+
Comment 1 Tilman Keskinoz freebsd_committer 2016-06-09 13:30:58 UTC
Hi,

not sure why, i am getting the following error:

[ 55%] Building CXX object CMakeFiles/seafile-applet.dir/src/rpc/clone-task.cpp.o
/usr/home/arved/ports/seafile-gui/work/seafile-client-1a63e1f/src/rpc/rpc-client.cpp:948:9: error: use of undeclared identifier 'SEAFILE_TYPE_ENCRYPTION_INFO'
        SEAFILE_TYPE_ENCRYPTION_INFO,

This looks similar to https://github.com/haiwen/seafile-client/issues/750

Can you investigate?
Comment 2 Tilman Keskinoz freebsd_committer 2016-06-09 14:28:40 UTC
Ok reason was, that I was using seafile from packages not from ports, so it was too old.

Now with ports it builds but with the following problems:

1. seafile requires libevhtp to build with regex support, otherwise the build will fail with unresolved symbols. I suggest removing the regex option.

2. while installing seafile i got the following warnings:

Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libsqlite3.so.0 from databases/sqlite3 but it is not declared as a dependency
Warning: you need USES+=sqlite
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libgio-2.0.so.0 from devel/glib20 but it is not declared as a dependency
Warning: you need USE_GNOME+=glib20
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libevent-2.0.so.5 from devel/libevent2 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libevent-2.0.so:devel/libevent2
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libuuid.so.1 from misc/e2fsprogs-libuuid but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libuuid.so:misc/e2fsprogs-libuuid
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libgobject-2.0.so.0 from devel/glib20 but it is not declared as a dependency
Warning: you need USE_GNOME+=glib20
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libglib-2.0.so.0 from devel/glib20 but it is not declared as a dependency
Warning: you need USE_GNOME+=glib20
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libintl.so.8 from devel/gettext-runtime but it is not declared as a dependency
Warning: you need USES+=gettext
Error: /usr/local/bin/seaf-daemon is linked to /usr/local/lib/libjansson.so.4 from devel/jansson but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libjansson.so:devel/jansson
Error: /usr/local/www/haiwen/seafile-server/seafile/bin/seaf-server is linked to /usr/local/lib/libiconv.so.2 from converters/libiconv but it is not declared as a dependency

3. With seafile-gui i get the following errors:
Error: /usr/local/bin/seafile-applet is linked to /usr/local/lib/libevent-2.0.so.5 from devel/libevent2 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libevent-2.0.so:devel/libevent2
Error: /usr/local/bin/seafile-applet is linked to /usr/local/lib/libintl.so.8 from devel/gettext-runtime but it is not declared as a dependency
Warning: you need USES+=gettext
Error: /usr/local/bin/seafile-applet is linked to /usr/local/lib/libuuid.so.1 from misc/e2fsprogs-libuuid but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libuuid.so:misc/e2fsprogs-libuuid

Can you please investigate, if these warnings are legit and if there is a solution.
Comment 3 Ultima 2016-06-09 16:31:10 UTC
(In reply to Tilman Keskinoz from comment #2)
1) libevhtp builds with regex support by default.
2) * sqlite is a libzdb default option, however this should be added to port.
   * vala depends on glib20
   * libevhtp depends on libevent2
   * ccnet depends on e2fsprogs-libuuid
   * vala depends on gettext
   * libsearpc depends on jansson
3) * seafile-gui depends on seafile


 I believe I asked this question once before and was told it depends on descending depends are not so important. Should these be added to all ports or not?


 Updated my server/workstation before submitting the patches to verify working order and didn't notice anything out of the ordinary. Thanks for bringing this up I never noticed those warnings before.
Comment 4 Ultima 2016-06-11 01:28:00 UTC
Created attachment 171287 [details]
seafile-gui.diff

This should be satisfactory. Should I break it down into more diff files/bugs?

Seafile still gives an error about missing iconv (false pos).

* Added depends for net-mgmt/seafile-gui net-mgmt/seafile devel/libsearpc
* Removed libevhtp regex option (will always build enabled)

poudriere bulk -tC: (On all ports involved)
11amd64: success
11i386: success
103amd64: success
103i386: success
93amd64: success/spdylay requires OpenSSL 1.0.1+
93i386: success/spdylay requires OpenSSL 1.0.1+
Comment 5 Ultima 2016-06-11 01:48:31 UTC
Created attachment 171289 [details]
seafile-gui.diff

I forgot to add the update in the patch. (/slap) Reran poudriere, acquired same results of previous patch.

* Seafile-gui updated to 5.1.2
Comment 6 Ultima 2016-06-11 02:06:17 UTC
Created attachment 171290 [details]
seafile-gui.diff

I apologies, I looked back at poudriere and saw head failed because I forgot to readd TAGNAME.....It is late.....
Comment 7 Tilman Keskinoz freebsd_committer 2016-06-28 08:53:14 UTC
ENOTIME, back to the pool
Comment 8 Kurt Jaeger freebsd_committer 2016-06-28 17:14:40 UTC
testbuilds@work
Comment 9 commit-hook freebsd_committer 2016-06-29 16:03:54 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 29 16:03:05 UTC 2016
New revision: 417778
URL: https://svnweb.freebsd.org/changeset/ports/417778

Log:
  net-mgmt/seafile-gui: 5.1.1 -> 5.1.2 with additional fixes in deps
  devel/libsearpc: add USES=gettext
  net-mgmt/seafile: add deps devel/libevent2, misc/e2fsprogs-libuuid,
  	devel/jansson, USES=gettext
  www/libevhtp: remove option REGEX

  - Add context menu to view file history in web
  - Fix user auto-completion in folder sharing dialog
  - Fix tray icon not shown in KDE 5
    https://github.com/haiwen/seafile-client/issues/697

  PR:		210165
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/devel/libsearpc/Makefile
  head/net-mgmt/seafile/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-mgmt/seafile-gui/distinfo
  head/www/libevhtp/Makefile
  head/www/libevhtp/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2016-06-29 16:04:48 UTC
Committed, thanks!